Summary:	FLIF image pixbuf-loader for Gtk+
Name:		flif-pixbuf-loader
Version:	1.3
Release:	1%{?dist}
License:	GPLv2+
URL:		https://copr.fedorainfracloud.org/coprs/vr5/gtk-pixbuf-loaders/
Source0:	flif-pixbuf-loader-1.3.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	gdk-pixbuf2 libflif xdg-utils
BuildRequires:	gdk-pixbuf2-devel libflif gcc

%define debug_package %{nil}

%description 
FLIF image pixbuf-loader plugin for Gtk+ provides load/save mechanics for FLIF images

%prep
%setup -c -n %{name}

%build
cd flif-pixbuf-loader
make

%install
install -D flif-pixbuf-loader/libpixbufloader-flif.so %{buildroot}%(pkg-config gdk-pixbuf-2.0 --variable=gdk_pixbuf_moduledir)/libpixbufloader-flif.so
install -D flif-pixbuf-loader/vr5-flif.xml %{buildroot}/usr/share/%{name}-%{version}/vr5-flif.xml

%post
gdk-pixbuf-query-loaders-%{__isa_bits} --update-cache
xdg-mime install /usr/share/%{name}-%{version}/vr5-flif.xml

#%preun
#xdg-mime uninstall /usr/share/%{name}-%{version}/vr5-flif.xml

%postun
gdk-pixbuf-query-loaders-%{__isa_bits} --update-cache

%files 
%defattr(0755,root,root)
%(pkg-config gdk-pixbuf-2.0 --variable=gdk_pixbuf_moduledir)/libpixbufloader-flif.so
/usr/share/%{name}-%{version}/vr5-flif.xml

%clean 
rm -rf %{buildroot}

%changelog 
*Sat Mar 23 2019 Vad Rulezz <vr5@yandex.ru> - 1.0
- Initial Package for flif-pixbuf-loader
